function [X1,l1,v1,x]=esterno6j(X,R,tol)
% La struttura di questa funzione, che svolge il ciclo esterno del procedimento di soluzione 
% richiamando al suo interno una ricorsione basata sul metodo di Jacobi,  simile a 
% quella gi vista in precedenza. L'input  costituito da un valore iniziale X delle moli
% totali di ammoniaca prodotte, una matrice di permutazione e da una tolleranza.
% Si restituiscono il numero di moli di ammoniaca, totali in fase liquida, totali in 
% fase vapore presenti all' equilibrio, oltre al vettore delle singole speci chimiche 
% suddivise tra le due fasi.

X0=X;
% Inizializzazione del valore di X.
[l1,v1,ammv,x]=jacobi6(X0,R,tol);
nitrv=0.0449*sqrt(ammv*v1);
X1=2*(1-nitrv);
% Calcolo di una prima soluzione con il metodo iterativo interno ed aggiornamento del 
% valore di X da X0 a X1.
devx=norm(X1-X0)/norm(X0);
% Lo scarto relativo su X costituisce il criterio per la tolleranza.
while devx>=tol
   X0=X1;
   % Il punto di partenza viene aggiornato in base ai risultati del primo processo di
   % calcolo.
   [l1,v1,ammv,x]=jacobi6(X0,R,tol);
   nitrv=0.0449*sqrt(ammv*v1);
   X1=2*(1-nitrv);
   devx=norm(X1-X0)/norm(X0);
end
